aboutsummaryrefslogtreecommitdiff
path: root/dev/libs
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-07-25 08:43:36 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-07-25 08:43:36 +0000
commit12a61b82d4851b27e2a23ea44eb0d1b752db9bc1 (patch)
tree861c487c8a14e6d4a5eae29e81f5d49d39c0d629 /dev/libs
parent612c005e89ef101c4495f3d9db2f3d01aafd7ef3 (diff)
downloadslackbuilds-12a61b82d4851b27e2a23ea44eb0d1b752db9bc1.tar.gz
slackbuilds-12a61b82d4851b27e2a23ea44eb0d1b752db9bc1.tar.bz2
Syncing with generic.SlackBuild v0.8.5
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1298 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev/libs')
-rwxr-xr-xdev/libs/libassuan/libassuan.SlackBuild22
-rw-r--r--dev/libs/libassuan/slack-required2
-rwxr-xr-xdev/libs/libgcrypt/libgcrypt.SlackBuild22
-rwxr-xr-xdev/libs/libgpg-error/libgpg-error.SlackBuild22
-rwxr-xr-xdev/libs/libksba/libksba.SlackBuild28
-rw-r--r--dev/libs/libksba/slack-required2
-rwxr-xr-xdev/libs/libpth/libpth.SlackBuild28
7 files changed, 98 insertions, 28 deletions
diff --git a/dev/libs/libassuan/libassuan.SlackBuild b/dev/libs/libassuan/libassuan.SlackBuild
index 55b2b3df..0c3859ce 100755
--- a/dev/libs/libassuan/libassuan.SlackBuild
+++ b/dev/libs/libassuan/libassuan.SlackBuild
@@ -33,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="libassuan"
PKG_NAME="libassuan"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=1.0.1}
+SRC_VERSION=${VERSION:=1.0.2}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -43,7 +43,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info}
-NUMJOBS=${NUMJOBS:=-j4}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -157,7 +171,7 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler-----------------------------------------------------|
-libassuan: libassuan
+libassuan: libassuan (Interprocess Communication Library for GPG)
libassuan:
libassuan: Libassuan is a small library implementing the so-called Assuan
libassuan: protocol. This protocol is used for IPC between most newer GnuPG
diff --git a/dev/libs/libassuan/slack-required b/dev/libs/libassuan/slack-required
index 93bd56be..e5fcf4e5 100644
--- a/dev/libs/libassuan/slack-required
+++ b/dev/libs/libassuan/slack-required
@@ -1 +1 @@
-libpth
+libpth >= 1.3.7
diff --git a/dev/libs/libgcrypt/libgcrypt.SlackBuild b/dev/libs/libgcrypt/libgcrypt.SlackBuild
index 4f4204c2..fbee59cc 100755
--- a/dev/libs/libgcrypt/libgcrypt.SlackBuild
+++ b/dev/libs/libgcrypt/libgcrypt.SlackBuild
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --enable-m-guard --enable-noexecstack}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --enable-shared=yes --enable-static=no --program-prefix="" --program-suffix="" --enable-m-guard --enable-noexecstack}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -157,7 +171,7 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler-----------------------------------------------------|
-libgcrypt: libgcrypt (Cryptographic library)
+libgcrypt: libgcrypt (General purpose crypto library)
libgcrypt:
libgcrypt: Libgcrypt is a general purpose cryptographic library based on the
libgcrypt: code from GnuPG. It provides functions for all cryptographic
diff --git a/dev/libs/libgpg-error/libgpg-error.SlackBuild b/dev/libs/libgpg-error/libgpg-error.SlackBuild
index 2fb32691..bcc0d2c4 100755
--- a/dev/libs/libgpg-error/libgpg-error.SlackBuild
+++ b/dev/libs/libgpg-error/libgpg-error.SlackBuild
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --enable-shared=yes --enable-static=no}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -149,7 +163,7 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler--------------------------------------------------|
-libgpg-error: libgpg-error
+libgpg-error: libgpg-error (GnuPG Error Definitions Library)
libgpg-error:
libgpg-error: Libgpg-error is a small library that defines common error values
libgpg-error: for all GnuPG components. Among these are GPG, GPGSM, GPGME,
diff --git a/dev/libs/libksba/libksba.SlackBuild b/dev/libs/libksba/libksba.SlackBuild
index 29366160..55c1d687 100755
--- a/dev/libs/libksba/libksba.SlackBuild
+++ b/dev/libs/libksba/libksba.SlackBuild
@@ -33,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="libksba"
PKG_NAME="libksba"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=1.0.1}
+SRC_VERSION=${VERSION:=1.0.2}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--sysconfdir=/etc --localstatedir=/var --infodir=$PREFIX/info --enable-shared=yes --enable-static=no}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -157,10 +171,10 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler-------------------------------------------------------|
-libksba: libksba
+libksba: libksba (X.509 & CMS library for S/MIME and TLS)
libksba:
-libksba: Libksba is a library to make the tasks of working with X.509
-libksba: certificates, CMS data and related objects more easy. It provides a
+libksba: KSBA (pronounced Kasbah) is a library to make X.509 certificates as
+libksba: well as the CMS easily accessible by other applications. It provides a
libksba: highlevel interface to the implemented protocols and presents the data
libksba: in a consistent way.
libksba:
diff --git a/dev/libs/libksba/slack-required b/dev/libs/libksba/slack-required
index 4d292ccf..053bc72f 100644
--- a/dev/libs/libksba/slack-required
+++ b/dev/libs/libksba/slack-required
@@ -1 +1 @@
-libgpg-error >= 1.2
+libgpg-error >= 1.4
diff --git a/dev/libs/libpth/libpth.SlackBuild b/dev/libs/libpth/libpth.SlackBuild
index 4f6fd841..3aa012e6 100755
--- a/dev/libs/libpth/libpth.SlackBuild
+++ b/dev/libs/libpth/libpth.SlackBuild
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=--mandir=$PREFIX/man}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--sysconfdir=/etc --infodir=$PREFIX/info --mandir=$PREFIX/man --enable-shared=yes --enable-static=no --enable-pthread=no}
+NUMJOBS=${NUMJOBS:=}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -130,6 +130,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -137,7 +151,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
make test
# Install
@@ -187,10 +201,10 @@ libpth: libpth (The GNU Portable Threads)
libpth:
libpth: Pth is a very portable POSIX/ANSI-C based library for Unix platforms
libpth: which provides non-preemptive priority-based scheduling for multiple
-libpth: threads of execution ("multithreading") inside server applications.
-libpth: All threads run in the same address space of the server application,
-libpth: but each thread has its own individual program-counter, run-time
-libpth: stack, signal mask and errno variable.
+libpth: threads of execution (aka \`multithreading\') inside event-driven
+libpth: applications. All threads run in the same address space of the
+libpth: server application, but each thread has its own individual
+libpth: program-counter, run-time stack, signal mask and errno variable.
libpth:
libpth: For more information, http://www.gnu.org/software/pth/
libpth: